misd/highcharts

This package is abandoned and no longer maintained. No replacement package was suggested.

Allows the programmatic creation of Highcharts

dev-master 2013-04-15 12:56 UTC

This package is auto-updated.

Last update: 2019-02-20 19:29:24 UTC


README

Build Status

This library is currently under development.

Allows the programmatic creation of Highcharts in PHP.

Authors

Requirements

Installation

  1. Add the bundle to your dependencies:

    // composer.json
    
    {
       // ...
       "require": {
           // ...
           "misd/highcharts": "dev-master"
       }
    }
    
  2. Use Composer to download and install the bundle:

    $ php composer.phar update misd/highcharts
    

Usage

Create a chart:

$chart = Chart::factory()
    ->setTitle('Scatter plot with regression line')
    ->addSeries(
        array(
            ScatterSeries::factory()
                ->setName('Observations')
                ->addData(array(1, 1.5, 2.8, 3.5, 3.9, 4.2)),
            LineSeries::factory()
                ->setName('Regression line')
                ->addDataPoint(DataPoint::factory(0, 1.11))
                ->addDataPoint(DataPoint::factory(5, 4.51))
                ->getMarker()->setEnabled(false)->getSeries()
                ->setEnableMouseTracking(false),
        )
    )
;

Then render it:

<?php $renderer = new Renderer(); ?>

<script type="text/javascript">
    $(function () {
        <?php echo $renderer->render($chart); ?>
    });
</script>

<?php echo $renderer->renderContainer($chart); ?>

Reporting an issue or a feature request

Issues and feature requests are tracked in the GitHub issue tracker.